
/**
 * 帮助说明数据
 * @author
 */
const { ccclass, property } = cc._decorator;

@ccclass
export default class Help extends cc.Component {

    @property({ type: cc.Label, displayName: '文字说明' })
    lbl_desc: cc.Label = null;

    start() {
        mk.ad.showNativeAd(4);
    }

    update() {
        if (gData.help.init_desc_name) {
            this.lbl_desc.string = gData.help.des;
        }
    }

    lateUpdate() {
        gData.help.init_desc_name = false;
    }

    onClickClose() {
        mk.ad.destroyNativeAd();
    }
}
